Loading...
Searching...
No Matches
volk::alloc< T > Struct Template Reference

C++11 allocator using volk_malloc and volk_free. More...

`#include <include/volk/volk_alloc.hh>`

## Public Types

typedef T | value_type

## Public Member Functions

| alloc ()=default
template<class U>
constexpr | alloc (alloc< U > const &) noexcept
T * | allocate (std::size_t n)
void | deallocate (T *p, std::size_t) noexcept

## Detailed Description

template<class T>
struct volk::alloc< T >

C++11 allocator using volk_malloc and volk_free.

adapted from https://en.cppreference.com/w/cpp/named_req/Alloc

## Member Typedef Documentation

## value_type

template<class T>

typedef T volk::alloc< T >::value_type

## Constructor & Destructor Documentation

## alloc() [1/2]

template<class T>

volk::alloc< T >::alloc | ( |  | ) |

default

## alloc() [2/2]

template<class T>
template<class U>

volk::alloc< T >::alloc | ( | alloc< U > const & |  | ) |

inline constexpr noexcept

## Member Function Documentation

## allocate()

template<class T>

T * volk::alloc< T >::allocate | ( | std::size_t | n | ) |

inline

## deallocate()

template<class T>

void volk::alloc< T >::deallocate | ( | T * | p,
|  | std::size_t | )

inline noexcept